import {
  GetValidatorsResponse,
  ProposalsResponse,
  BalanceByDenomResponse,
} from '@evmos/provider'

export interface SenderInfo {
  account: {
    '@type': string
    base_account: {
      address: string
      pub_key?: {
        '@type': string
        key: string
      }
      account_number: string
      sequence: string
    }
  }
}
export interface TokenPairResponse {
  token_pairs: [
    {
      erc20_address: string
      denom: string
      enabled: boolean
      contract_owner: string
    },
  ]
}
export declare const fetchSenderInfo: () => Promise<SenderInfo | undefined>
export declare const fetchProposals: () => Promise<ProposalsResponse>
export declare const fetchValidators: () => Promise<GetValidatorsResponse>
export declare const fetchBalanceByDenom: (
  address: string,
  denom: string,
) => Promise<BalanceByDenomResponse>
export declare const fetchERC20ContractAddress: () => Promise<TokenPairResponse>
// # sourceMappingURL=query.d.ts.map
