var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { createTxRaw } from '@evmos/proto';
import { wallet } from './params';
const signDigest32 = (digestBase64) => {
    const signature = wallet
        ._signingKey()
        .signDigest(Buffer.from(digestBase64, 'base64'));
    return Buffer.concat([
        Buffer.from(signature.r.replace('0x', ''), 'hex'),
        Buffer.from(signature.s.replace('0x', ''), 'hex'),
    ]);
};
export const signDirect = (tx) => __awaiter(void 0, void 0, void 0, function* () {
    const signatureBytes = signDigest32(tx.signDirect.signBytes);
    const bodyBytes = tx.signDirect.body.toBinary();
    const authInfoBytes = tx.signDirect.authInfo.toBinary();
    return createTxRaw(bodyBytes, authInfoBytes, [signatureBytes]);
});
//# sourceMappingURL=sign.js.map