import { TestingClient } from './utils'

declare class EIP712TestingClient extends TestingClient {
  private createBaseTypes

  private readonly domain

  get eip712Fee(): {
    amount: {
      amount: string
      denom: string
    }[]
    gas: string
    feePayer: string
  }

  generateTypes: (msgTypes: object) => {
    EIP712Domain: {
      name: string
      type: string
    }[]
    Tx: {
      name: string
      type: string
    }[]
    Fee: {
      name: string
      type: string
    }[]
    Coin: {
      name: string
      type: string
    }[]
    Msg: {
      name: string
      type: string
    }[]
  }

  generateMessage: (payload: object | object[]) => {
    account_number: string
    chain_id: string
    fee: {
      amount: {
        amount: string
        denom: string
      }[]
      gas: string
      feePayer: string
    }
    memo: string
    msgs: any[]
    sequence: string
  }

  generateEIP712: (
    types: object,
    message: object,
  ) => {
    types: object
    primaryType: string
    domain: {
      name: string
      version: string
      chainId: number
      verifyingContract: string
      salt: string
    }
    message: object
  }
}
declare const client: EIP712TestingClient
export default client
// # sourceMappingURL=eip712.d.ts.map
